Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Barometer Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"b", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletBarometer\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get threshold callbacks with a debounce time of 10 seconds (10000ms)", "*)"}],
   RowBox[{"b", "@", RowBox[{"SetDebouncePeriod", "[", "10000", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for air pressure reached callback", "*)"}],
   RowBox[{RowBox[{"AirPressureReachedCB", "[", RowBox[{"sender_", ",", "airPressure_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Air Pressure: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{"airPressure", ",", "\"\<mbar/1000\>\""}], "]"}], "]"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", "\"\<Enjoy the potentially good weather!\>\"", "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"b", "@", "AirPressureReachedCallback"}], ",", "AirPressureReachedCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Configure threshold for air pressure ", "\"\<greater than 1025 mbar\>\"", "", "*)"}],
   RowBox[{"option", "=", "Tinkerforge`BrickletBarometer`THRESHOLDUOPTIONUGREATER"}],
   RowBox[{"b", "@", RowBox[{"SetAirPressureCallbackThreshold", "[", RowBox[{"option", ",", RowBox[{"1025", "*", "1000"}], ",", "0"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "b", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
