Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your RS485 Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"rs485", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletRS485\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Set operating mode to Modbus RTU slave", "*)"}],
   RowBox[{"rs485", "@", RowBox[{"SetMode", "[", "BrickletRS485`MODEUMODBUSUSLAVEURTU", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Modbus specific configuration:", "*)"}],
   RowBox[{"(*", "- slave address = 17", "*)"}],
   RowBox[{"(*", "- master request timeout = 0ms (unused in slave mode)", "*)"}],
   RowBox[{"rs485", "@", RowBox[{"SetModbusConfiguration", "[", RowBox[{"17", ",", "0"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for Modbus slave write single register request callback", "*)"}],
   RowBox[{RowBox[{"ModbusSlaveWriteSingleRegisterRequestCB", "[", RowBox[{"sender_", ",", "requestID_", ",", "registerAddress_", ",", RowBox[{"\[IndentingNewLine]", "registerValue_"}]}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Request ID: \>\"", "<>", RowBox[{"ToString", "[", "requestID", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Register Address: \>\"", "<>", RowBox[{"ToString", "[", "registerAddress", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Register Value: \>\"", "<>", RowBox[{"ToString", "[", "registerValue", "]"}]}], "]"}], ";", "\n", "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"registerAddress", "!=", "42"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"Print", "[", "\"\<Error: Invalid register address\>\"", "]"}], ";", "\[IndentingNewLine]", "sender", "@", RowBox[{"ModbusSlaveReportException", "[", RowBox[{"requestID", ",", "BrickletRS485`EXCEPTIONUCODEUILLEGALUDATAUADDRESS"}], "]"}]}], ",", RowBox[{"\[IndentingNewLine]", "sender", "@", RowBox[{"ModbusSlaveAnswerWriteSingleRegisterRequest", "[", "requestID", "]"}], "\[IndentingNewLine]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"rs485", "@", "ModbusSlaveWriteSingleRegisterRequestCallback"}], ",", "ModbusSlaveWriteSingleRegisterRequestCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "rs485", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
